Bug 964135 - pmchart fails to plot an archive
pmchart fails to plot an archive
Status: CLOSED NOTABUG
Product: Fedora EPEL
Classification: Fedora
Component: pcp-gui (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nathan Scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 06:49 EDT by Marko Myllynen
Modified: 2013-08-05 11:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-04 22:12:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example archives (146.62 KB, application/x-bzip2)
2013-05-17 06:50 EDT, Marko Myllynen
no flags Details

  None (edit)
Description Marko Myllynen 2013-05-17 06:49:54 EDT
Description of problem:
I'll attach three different archives, one for incoming traffic, one for outgoing traffic, and one containing both, all generated from the same CSV data. Using pminfo/pmval shows no differences for the corresponding metrics.

Opening csv-data-lan-out with "pmchart -t 1m -a csv-data-lan-out" and plotting csv_data_lan_out.test.lan_outbytes_linux.eth0.txbyt_s works as expected but opening csv-data-lan-both with "pmchart -t 1m -a csv-data-lan-both" and plotting csv_data_lan_both.test.lan_outbytes_linux.eth0.txbyt_s produces an empty view.

Version-Release number of selected component (if applicable):
pcp-3.8.0-1.el6.x86_64
pcp-gui-1.5.8-2.el6.x86_64
Comment 1 Marko Myllynen 2013-05-17 06:50:40 EDT
Created attachment 749294 [details]
Example archives
Comment 2 Nathan Scott 2013-07-26 01:03:33 EDT
| ... plotting csv_data_lan_both.test.lan_outbytes_linux.eth0.txbyt_s
| produces an empty view

It appears there is only a single value in the archive for this metric - is that expected?  It also has a timestamp that is for the final fetch group in the archive.

$ pmdumplog -z -a csv-data-lan-both | grep csv_data_lan_both.test.lan_outbytes_linux.eth0.txbyt_s
PMID: 245.0.12 (csv_data_lan_both.test.lan_outbytes_linux.eth0.txbyt_s)
23:59:00.000  245.0.12 (csv_data_lan_both.test.lan_outbytes_linux.eth0.txbyt_s): value 657803.87

pmchart is going to have a hard time working with a single data point.  Could this be a failure to import all the data you expected, Marko?  (and also, is it an archive that would be susceptible to the earlier log import issues around out-of-time-order records?)

thanks.
Comment 3 Nathan Scott 2013-08-04 22:12:35 EDT
As per earlier comments, on closer inspection of the archive this appears to not be a bug.
Comment 4 Marko Myllynen 2013-08-05 11:55:32 EDT
Hi Nathan,

yes, agreed, all the evidence suggests that this was also collateral damage of bug 958745.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.